Name:           compat-libjpeg8
Version:        2.1.4
Release:        1%{?dist}.tk0
Summary:        A MMX/SSE2/SIMD accelerated library for manipulating JPEG image files
License:        IJG
URL:            http://sourceforge.net/projects/libjpeg-turbo

Source0:        http://downloads.sourceforge.net/libjpeg-turbo/libjpeg-turbo-%{version}.tar.gz
Patch0:         libjpeg-turbo-cmake.patch
Patch1:         libjpeg-turbo-CET.patch

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  libtool
BuildRequires:  nasm
BuildRequires:  libevent-devel

%description
The compat-libjpeg8 package contains a library of functions for manipulating JPEG
images.

%prep
%autosetup -n libjpeg-turbo-%{version} -p1

%build
# NASM object files are missing GNU Property note for Intel CET,
# force it on the resulting library
%ifarch %{ix86} x86_64
export LDFLAGS="$RPM_LD_FLAGS -Wl,-z,ibt -Wl,-z,shstk"
%endif

%{cmake} -DCMAKE_SKIP_RPATH:BOOL=YES \
         -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES \
%ifarch s390x
         -DFLOATTEST:STRING="fp-contract" \
%endif
         -DENABLE_STATIC:BOOL=NO \
         -DWITH_JPEG8=1

%cmake_build

%install
%cmake_install
find %{buildroot} -name "*.la" -delete

# We need only shared library for this compat package, so we will remove
# all other installed by default make sequence files.
rm -f %{buildroot}%{_bindir}/{cjpeg,djpeg,jpegtran,rdjpgcom,wrjpgcom}
rm -f %{buildroot}%{_libdir}/lib{turbojpeg.so*,jpeg.so}
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_libdir}/cmake
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_mandir}

%ldconfig_scriptlets

%files
%license LICENSE.md
%doc README.md README.ijg ChangeLog.md
%{_libdir}/libjpeg.so.8*
